### Method

# Msg OAuth2Authorizer request_authorization

#### Declaration [src]

    gboolean
    msg_oauth2_authorizer_request_authorization (
      MsgOAuth2Authorizer* self,
      const char* authorization_code,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`authorization_code`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.